/**
  *  \file client/widgets/teamname.h
  *
  *  (c) 2001-2024 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_TEAMNAME_H
#define PCC_V2_CLIENT_WIDGETS_TEAMNAME_H

#include "ui/ui.h"
#include "cpluslib/sigslot.h"

class WTeamName : public UIWidget {
    SignalConnection conn_team_change;
    int team;
 public:
    WTeamName();
    ~WTeamName();

    void setTeam(int team);

    void getLayoutInfo(LayoutInfo& info);
    void drawContent(GfxCanvas& can);
};

#endif
